<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_32155ccb342f199043093041c" . "1b3bb57" => base64_decode("ZnJvb" . "V9mb2" . "xkZXJ" . "faWQ="), "_80e7ee43fdf8381" . "01a2303a7b4a50ef" . "c" => base64_decode("dG9fZm9sZ" . "GVyX2lk"));
use Claromentis\Core\Event\GenericEvent;


class MoveDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_32155ccb342f199043093041c1" . "b3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_80e7ee43f" . "df838101a2" . "303a7b4a50" . "efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}